Skip to main content

Get Settlement

Retrieve details of a specific settlement.

GEThttps://api.zenpayz.com/merchant/api/v1/settlements/{id}
Bearer · API key

Request

Path Parameters

ParameterTypeDescription
id
REQUIRED
stringSettlement ID

Headers

HeaderDescription
Authorization
REQUIRED
Bearer {api_key}
X-Signature
REQUIRED
HMAC-SHA256 signature
X-Timestamp
REQUIRED
ISO 8601 timestamp
X-Secret-Salt
REQUIRED
Secret salt for HMAC validation

Response

Success (200 OK)

{
"success": true,
"data": {
"settlementId": "stl_xxxxx",
"merchantId": "mer_xxxxx",
"amount": 100000,
"settlementFee": 500,
"netAmount": 99500,
"currency": "USD",
"type": "standard",
"priority": "normal",
"status": "COMPLETED",
"description": "Monthly settlement",
"bankAccountId": "ba_xxxxx",
"scheduledDate": null,
"createdAt": "2024-01-15T10:30:00.000Z"
}
}

Response Fields

ParameterTypeDescription
settlementId
OPTIONAL
stringUnique settlement identifier
merchantId
OPTIONAL
stringMerchant identifier
amount
OPTIONAL
numberRequested settlement amount
settlementFee
OPTIONAL
numberFee charged for the settlement
netAmount
OPTIONAL
numberAmount after fees
currency
OPTIONAL
stringISO 4217 currency code
type
OPTIONAL
stringSettlement type
priority
OPTIONAL
stringSettlement priority
status
OPTIONAL
stringSettlement status
description
OPTIONAL
stringSettlement description
bankAccountId
OPTIONAL
stringTarget bank account
scheduledDate
OPTIONAL
stringScheduled settlement date, if any
createdAt
OPTIONAL
stringISO 8601 creation timestamp

Examples

curl -X GET "https://api.zenpayz.com/merchant/api/v1/settlements/stl_xxxxx" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"